<!DOCTYPE html>
<html>
 <head>
    <style>
        #fondo {
            background-image: url("https://images.pexels.com/photos/260689/pexels-photo-260689.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940");
            height: 100vh;
            width: 100%;
            background-size: cover;
            background-repeat: no repeat;
            background-position: center;
            background-attachment: fixed;
            padding: 20px;
            margin: auto;

        }
    </style>
 </head>
 <body>
    <div id="fondo">
        <div style="text-align: right" style="float: right">
            <h2><img src="https://www.tecazuay.edu.ec/assets/img/logo.png" class="izquierda"></h2>
        </div>
        <h1> </h1>
        <h1 class="test1">EVALUACION TUTOR ACADEMICO</h1>
        
    <div>
         <hr class="bordes" />
        <div class="row ">
           
            <p-table class="ex2" #dt [columns]="cols" [value]="evaluaciones" [paginator]="true" (onRowSelect)="onRowSelect($event)"
                [rows]="10" [filterDelay]="400" selectionMode="single" [(selection)]=" evaluacionseleccionada" 
                dataKey="idEvaluacion" [style]="{'margin-left':'40px'}"   >
                 <ng-template pTemplate="caption">
                    Módulos
                </ng-template>
                <ng-template pTemplate="caption">
                    <div style="text-align: right">
                        <i class="fa fa-search" style="margin:6px 6px 0 0"></i>
                        <input type="text" pInputText size="50" placeholder="Busqueda"
                            (input)="dt.filterGlobal($event.target.value, 'contains')" style="width:auto" />
                    </div>
                </ng-template>
                <ng-template pTemplate="header" let-columns>
                    <tr>
                        <th *ngFor="let col of columns" [pSortableColumn]="col.field">
                            {{ col.header }}
                            <p-sortIcon [field]="col.field"></p-sortIcon>
                           
                            
                        </th>
                     
                    </tr>
                </ng-template>
                
                <ng-template pTemplate="body" let-rowData let-columns="columns">
                
                    <tr [pSelectableRow]="rowData">
              
                        <td *ngFor="let col of columns">
                            
                   
                            <span *ngIf="(col.field==='fechaFin') || (col.field==='fechaInicio') " >{{ rowData[col.field] | date }}</span>
                            <span *ngIf="!((col.field==='fechaFin')|| (col.field==='fechaInicio')||(col.field==='empresa')||(col.field==='representante'))"> {{ rowData[col.field] }}</span> 
                          
                        </td>
                         
                      
                    </tr>
                </ng-template>
            
                <ng-template pTemplate="summary" let-rowData>
                    <div style="text-align:right">
                        <button type="button" pButton icon="fa fa-plus" (click)="showDialogToAdd()"
                            label="Nuevo"></button>
                        <button type="button" pButton icon="fa fa-trash" (click)="borrar(idEvaluacion)" label="Borrar"></button>
                        <button type="button"  pButton icon="fa fa-edit" (click)="showDialogToEdit1()"
                            label="Editar"></button>
                            <button type="button"  pButton icon="fa fa-edit" (click)="generarSolicitud()"
                            label="Generar"></button>
                        <!-- <button type="button" pButton icon="fa fa-refresh" (click)="listar()"
                            label="Actualizar">Actualizar</button> -->
    
                    </div>
                </ng-template> 
            </p-table>
            <p-dialog header="EVALUACION" [(visible)]="displayDialog" [responsive]="true" showEffect="fade" [modal]="true"
                [style]="{ width: '500px' }">
               
    
                <div class="col-md-8 mt-4">
                    <form #form="ngForm" *ngIf="evaluaciontutoracademico">

                        <div class="form-group">
                            <label for="" class="col-form-label-sm">Datos Estudiante:</label>
                            <input type="text" required class="form-control" name="carrera"
                                [(ngModel)]="evaluaciontutoracademico.carrera" placeholder="Datos Estudiante"
                                #carrera="ngModel">
                            <h6 *ngIf="carrera.hasError('required') && carrera.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
             
                       <div class="form-group">
                            <label for="" class="col-form-label-sm">Carrera:</label>
                            <input type="text" required class="form-control" name="carrera"
                                [(ngModel)]="evaluaciontutoracademico.carrera" placeholder="Ingrese la Carrera"
                                #carrera="ngModel">
                            <h6 *ngIf="carrera.hasError('required') && carrera.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
                      
                        
                            <div class="form-group">
                        <label for="" class="col-form-label-sm">Fecha Inicio:</label>
                            
                            <div class="calender">
                           <p-calendar appendTo='body' class="form-control {{!fechaInicio.valid?'is-invalid':''}}" name="fechaInicio"
                             #fechaInicio="ngModel" required [(ngModel)]="evaluaciontutoracademico.fechaInicio" 
                            [(ngModel)]="date6" [monthNavigator]="true" [yearNavigator]="true" yearRange="1950:2030"></p-calendar>
                               </div >
                                    
                            <h6 *ngIf="fechaInicio.hasError('required') && fechaInicio.touched" class="input-error">Campo obligatorio</h6>
                        </div>
                        <div class="form-group">
                        <label for="" class="col-form-label-sm">Fecha:</label>
                            
                            <div class="calender">
                           <p-calendar appendTo='body' class="form-control {{!fechaFin.valid?'is-invalid':''}}" name="fechaFin"
                             #fechaFin="ngModel" required [(ngModel)]="evaluaciontutoracademico.fechaFin" 
                            [(ngModel)]="date5" [monthNavigator]="true" [yearNavigator]="true" yearRange="1950:2030"></p-calendar>
                               </div >
                                    
                            <h6 *ngIf="fechaFin.hasError('required') && fechaFin.touched" class="input-error">Campo obligatorio</h6>
                        </div>   

                       <div class="form-group">
                            <label for="" class="col-form-label-sm">Estado:</label>
                            <input type="text" required class="form-control" name="estado"
                                [(ngModel)]="evaluaciontutoracademico.estado" placeholder="Estado"
                                #estado="ngModel">
                            <h6 *ngIf="estado.hasError('required') && estado.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
                        <div class="form-group">
                            <label for="" class="col-form-label-sm">Horas:</label>
                            <input type="text" required class="form-control" name="horasTotal"
                                [(ngModel)]="evaluaciontutoracademico.horasTotal" placeholder="Total Horas"
                                #horasTotal="ngModel">
                            <h6 *ngIf="horasTotal.hasError('required') && horasTotal.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
                     <p-accordion>
                            <p-accordionTab header="INDICACIONES" [selected]="true">
                             <p> Valore el desempeño del Practicante, marcando y registrando la 
                        calificación en cada uno de los aspectos descritos utilizando los siguientes parámetros.
                          <br> (1) Deficiente  
                          <br>(5) Regular   
                          <br> (10) Bueno 
                          <br> (15) Muy bueno      
                           <br>(20) Sobresaliente
                             </p>
                     </p-accordionTab>
                    </p-accordion>
                        
                            
                       <div class="form-group">
                        <label for="" class="col-form-label-sm">a.Asistencia y Puntualidad:</label>
                        <select (change)="capturar()" name="valor" [(ngModel)]="evaluaciontutoracademico.valor">
                         <option value="0">Evaluar</option>
                        <option  *ngFor="let valor1 of datos "> {{valor1}} </option>
                        </select>
                        </div>
                        <div class="form-group">
                        <label for="" class="col-form-label-sm">b.Cumplimiento de normas establecidas por la entidad receptora:</label>
                        <select (change)="capturar()" name="valor1"  [(ngModel)]="evaluaciontutoracademico.valor1">
                         <option value="0">Evaluar</option>
                        <option  *ngFor="let valor2 of datos "> {{valor2}} </option>
                        </select>
                        </div>
                     <div class="form-group">
                        <label for="" class="col-form-label-sm">c.Compromiso y responsabilidad frente al trabajo:</label>
                        <select (change)="capturar()" name="valor2"  [(ngModel)]="evaluaciontutoracademico.valor2">
                         <option value="0">Evaluar</option>
                        <option  *ngFor="let valor2 of datos "> {{valor2}} </option>
                        </select>
                        </div>
                         <div class="form-group">
                        <label for="" class="col-form-label-sm">d.	Integración y actitud de colaboración con los miembros del equipo de la empresa:</label>
                        <select (change)="capturar()" name="valor3"  [(ngModel)]="evaluaciontutoracademico.valor3">
                         <option value="0">Evaluar</option>
                        <option  *ngFor="let valor2 of datos "> {{valor2}} </option>
                        </select>
                        </div>
                        <div class="form-group">
                        <label for="" class="col-form-label-sm">e.Valoración de los resultados tomando como base las actividades encomendadas :</label>
                        <select (change)="capturar()" name="valor4"  [(ngModel)]="evaluaciontutoracademico.valor4">
                         <option value="0">Evaluar</option>
                        <option  *ngFor="let valor2 of datos "> {{valor2}} </option>
                        </select>
                        </div>
                   
                        <div class="text-center form-row justify-content-around">
                            <div class="col-5">
                                <button class="btn btn-danger" (click)="cerrar()">Cancelar</button>
                            </div>
                            <div class="col-5">
                                <button class="btn btn-success" [disabled]="form.invalid"
                                    (click)="btnGuardar()">Guardar</button>
                            </div>
                        </div>
                    </form>
                </div>
            </p-dialog>
           
        </div>
    
    </div>
    </div>
  
 </body>
    
</html>
